He actualizado a PHP 7.1 y mi tienda Prestashop 1.6 me reporta errores

Si no estáis trabajando con las ultimas variante en actualizaciones de Prestashop de la versión 1.6 de Prestashop, es posible que os hayáis encontrado con algunos reporte de errores debido a la versión 7.1 de PHP

Notice: Array to string conversion in /…/classes/Hook.php…

Si estáis trabajando con Prestashop 1.6.1.11 o con anteriores variantes de Prestashop 1.6  y no con Prestashop 1.6.1.12 (porque esta versión ya lo lleva integrado los dos cambios que  se proponen en este artículo.)

En github: https://github.com/PrestaShop/PrestaShop/pull/7392 tenemos propuesto los siguientes cambios:

Fichero:

classes/Hook.php

Sobre la línea (465)

Cambiamos este código:

$output = '';
if ($array_return) {
$output = array();
} else {
$output = '';
}

También, nos recomiendan cambiar el fichero:

classes/helper/HelperOptions.php

(Sobre la línea 105)

Cambiar esto:

if ($field['type'] == 'texarea' || $field['type'] == 'textareaLang') {

por

if ($field['type'] == 'textarea' || $field['type'] == 'textareaLang') {

En realidad, estos cambios ya están implementados en la última variante de la 1.6 de Prestashop a día de hoy, pero para aquellas personas que estén usando por ejemplo la 1.6.1.10 no están implementados.

Lo dicho, intentar siempre tener vuestra versión (variante) de Prestashop actualizada, es decir si estáis usando la 1.6, estar siempre actualizados a la ultima variante de Prestashop 1.6, y si estáis usando la versión 1.7 de Prestashop, estar siempre actualizados a la última variante de la Prestashop 1.7

Enlace de github, donde se trata este problema: https://github.com/PrestaShop/PrestaShop/pull/7392